# Changelog

All notable changes to this project will be documented in this file.

    Added     : for new features.
    Changed   : for changes in existing functionality.
    Deprecated: for soon-to-be removed features.
    Removed   : for now removed features.
    Fixed     : for any bug fixes.
    Security  : in case of vulnerabilities.

## [1.0.0] - 2021-12-01
First (more or less) working version.

## [1.0.1] - 2022-01-31

### Added
- Lora support for an SX1278 connected to the RPi GPIO (driver)
- Lora radio can be controlled via web interface and command line the same way the other two radios already could.

### Deprecated
- RPi-LoRa-KISS-TNC shall be moved to a separate repository

### Fixed
- LoRa APRS header (<\xff\x01) was not added to the transmit payload due to an indentation fault. Long live Python!
- Better error detection and AX.25/KISS encoding on received frames.

## [1.0.2] - 2022-02-01

### Changed
- Carrier detect not via Direwolf (only ax0), but via carrier-detect.sh script in main loop, so all channels (ax0, ax1 and ax2) have DCD

## [1.0.3] - 2022-02-02

### Changed
- Carrier detect now written in C for speed

## [1.1.0] - 2022-02-03

First official release with LoRa support.

### Removed
- LoRa SX1278 library is now a stand alone project and should be cloned separately from this project.

## [1.1.1] - 2022-02-06

### Changed
- Beacons time is now "set time" + random seconds between 0-60. This way the beacons are not send at exactly hole minutes. This also prevents rapid firing of beacons on different channels.

### Added
- Messages from APRS-IS are now also processed and displayed on the web interface.

## [1.1.2] - 2022-05-12

### Fixed
- Only messages to suffixes -1, -2 and -3 are acknowledged. Earlier versions send acknowledgements to all suffixes.

## [1.1.3] - 2022-06-25

### Added
- Web page for switchin on and of 5GHz links over LoRa

## [2.0.0] - 2023-12-08

### Fixed
- APRS telemetry bug in process_aprs_messages.sh: first character of message was not saved.

### Added
- MQTT support added (APRS MQTT bridge)
